local harbour = foundation.createMod();

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    harbour:msgBox("harbour: game version anterior to 1.6")
else
    harbour:msgBox("harbour: game version" .. foundation.getGameVersion())

    function checkVersion(_name, _id, _minimalVersion)
        if (foundation.getModVersion == nil) then
            harbour:msgBox("harbour: Unknown mod version")
        elseif not foundation.isModEnabled(_id) then
            harbour:msgBox("harbour: " .. _name .. " disabled")
        elseif not foundation.isModLoaded(_id) then
            harbour:msgBox("harbour: Up the position of " .. _name .. " in the mod list of your game")
        else
            local _myVersion = foundation.getModVersion(_id)
            harbour:msgBox("harbour: " .. _name .. " Current version : " .. _myVersion)
            if version.cmp(_myVersion, _minimalVersion) < 0 then
                harbour:msgBox("harbour: Please, load the last version of " .. _name)
            else
                return true
            end
        end
        return false
    end

    if not checkVersion("Window Decorations", "ed248b2a-9fe9-4191-9582-22ad3cf4b0b6", "1.1.0") then
        return
    end
end

-- Monuments
harbour:dofile("scripts/monument.lua")
